import CthulhuEternalItemSheet from "./base-item-sheet.mjs"

export default class CthulhuEternalWeaponSheet extends CthulhuEternalItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["weapon"],
    position: {
      width: 620,
    },
    window: {
      contentClasses: ["weapon-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-cthulhu-eternal/templates/weapon.hbs",
    },
  }

  async _prepareContext() {
    let context = await super._prepareContext()
    context.isFireArm = this.item.system.isFireArm()
    context.isRanged = this.item.system.isRanged()

    return context
  }

}
